package gmt.db.vo;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

public class GmtDbResultVO {
	private String requestID;
	private Boolean success;
	private String errorCode;
	private List<Map<String,Object>> dataSet;
	private int rowsAffected;
	
	public GmtDbResultVO() {
		requestID = "";
		success = false;
		errorCode = "";
		dataSet = new ArrayList<Map<String,Object>>();
		rowsAffected = 0;
	}

	public Boolean getSuccess() {
		return success;
	}

	public void setSuccess(Boolean success) {
		this.success = success;
	}

	public String getErrorCode() {
		return errorCode;
	}

	public void setErrorCode(String errorCode) {
		this.errorCode = errorCode;
	}

	public List<Map<String, Object>> getDataSet() {
		return dataSet;
	}

	public void setDataSet(List<Map<String, Object>> dataSet) {
		this.dataSet = dataSet;
	}

	public int getRowsAffected() {
		return rowsAffected;
	}

	public void setRowsAffected(int rowsAffected) {
		this.rowsAffected = rowsAffected;
	}

	public String getRequestID() {
		return requestID;
	}

	public void setRequestID(String requestID) {
		this.requestID = requestID;
	}
	
	
}
